#
# spec file for package libdrm23 (Version 2.3.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libdrm23
BuildRequires:  glibc-devel
Url:            http://dri.sf.net
License:        X11/MIT
Group:          System/Libraries
AutoReqProv:    on
Version:        2.3.0
Release:        0.4.38
Summary:        Userspace Interface for Kernel DRM Services
Source:         libdrm-%{version}.tar.bz2
Patch:          block_issue_libdrm.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The package containts the userspace interface to the kernel DRM
services.



Authors:
--------
    Daryll Strauss <daryll@valinux.com>
    Dave Airlie <airlied@linux.ie>
    Eric Anholt <anholt@FreeBSD.org>
    Frank C. Earl <fearl@airmail.net>
    Gareth Hughes <gareth@valinux.com>
    Greg Kroah-Hartman <greg@kroah.com>
    Jeff Hartmann <jhartmann@valinux.com>
    Jens Owen <jens@tungstengraphics.com>
    Jon Smirl <jonsmirl@gmail.com>
    Jose Fonseca <jrfonseca@tungstengraphics.com>
    Keith Whitwell <keith@tungstengraphics.com>
    Kevin E. Martin <martin@valinux.com>
    Leif Delgass <ldelgass@retinalburn.net>
    Matthew J Sottek <matthew.j.sottek@intel.com>
    Michel Daenzer <michel@daenzer.net>
    Nicolai Haehnle <prefect_@gmx.net>
    Paul Mackerras <paulus@samba.org>
    Richard Henderson <rth@twiddle.net>
    Rickard E. (Rik) Faith <faith@valinux.com>
    Sung-Ching Lin <sclin@sis.com.tw>
    Terry Barnaby <terry1@beam.ltd.uk>
    Thomas Hellstrom <unichrome@shipmail.org>
    Torsten Duwe <duwe@caldera.de>

%package devel
License:        X11/MIT
Summary:        Libraries, includes and more to develop libdrm applications
Group:          System/Libraries
Requires:       libdrm23 = %{version}

%description devel
The package containts the userspace interface to the kernel DRM
services.



Authors:
--------
    Daryll Strauss <daryll@valinux.com>
    Dave Airlie <airlied@linux.ie>
    Eric Anholt <anholt@FreeBSD.org>
    Frank C. Earl <fearl@airmail.net>
    Gareth Hughes <gareth@valinux.com>
    Greg Kroah-Hartman <greg@kroah.com>
    Jeff Hartmann <jhartmann@valinux.com>
    Jens Owen <jens@tungstengraphics.com>
    Jon Smirl <jonsmirl@gmail.com>
    Jose Fonseca <jrfonseca@tungstengraphics.com>
    Keith Whitwell <keith@tungstengraphics.com>
    Kevin E. Martin <martin@valinux.com>
    Leif Delgass <ldelgass@retinalburn.net>
    Matthew J Sottek <matthew.j.sottek@intel.com>
    Michel Daenzer <michel@daenzer.net>
    Nicolai Haehnle <prefect_@gmx.net>
    Paul Mackerras <paulus@samba.org>
    Richard Henderson <rth@twiddle.net>
    Rickard E. (Rik) Faith <faith@valinux.com>
    Sung-Ching Lin <sclin@sis.com.tw>
    Terry Barnaby <terry1@beam.ltd.uk>
    Thomas Hellstrom <unichrome@shipmail.org>
    Torsten Duwe <duwe@caldera.de>

%prep
%setup -q -n libdrm-%{version}
%patch

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --with-pic \
          --libdir=/usr/X11R6/%{_lib} \
          --includedir=/usr/X11R6/include
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/X11R6/%{_lib}/libdrm.so.2
/usr/X11R6/%{_lib}/libdrm.so.2.3.0

%files devel
%defattr(-,root,root)
%dir /usr/X11R6/%{_lib}/pkgconfig
/usr/X11R6/include/drm/
/usr/X11R6/include/xf86drm.h
/usr/X11R6/include/xf86mm.h
/usr/X11R6/%{_lib}/libdrm.so
/usr/X11R6/%{_lib}/pkgconfig/libdrm.pc
%exclude /usr/X11R6/%{_lib}/libdrm.la

%changelog
* Thu Apr 16 2009 sndirsch@suse.de
- This package is required for Cantiga/Eaglelake support
  (FATE #305831)
* Wed Jul 30 2008 sndirsch@suse.de
- block_issue_libdrm.diff
  * likely fixes bnc #409145
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-postun warning
- libdrm.la had an empty dependency_libs, removed.
* Sat Dec  2 2006 sndirsch@suse.de
- updated to 2.3.0 (required by X.Org (Server) 7.2 RC3)
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
* Wed Jun 28 2006 sndirsch@suse.de
- updated to 2.0.2
  * various bugfixes in libdrm
* Wed Jun 21 2006 sndirsch@suse.de
- updated to current CVS (2006-06-21)
* Sat Apr 15 2006 sndirsch@suse.de
- updated to 2.0.1
  * various bugfixes in libdrm
* Sat Feb  4 2006 aj@suse.de
- xorg-x11-devel is not needed for build.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 23 2005 mls@suse.de
- Require main package in devel subpackage
* Wed Nov 30 2005 sndirsch@suse.de
- update to 2.0 branch (2005-11-30)
* Tue Nov  1 2005 sndirsch@suse.de
- updated to 1.0.5 (version Bump for new via header)
* Sat Oct 29 2005 sndirsch@suse.de
- call ldconfig in %%post
* Tue Oct 25 2005 sndirsch@suse.de
- updated to CVS 051025 (required for Mesa 6.4)
* Tue Oct  4 2005 sndirsch@suse.de
- added libdrm.so to filelist
* Sun Oct  2 2005 sndirsch@suse.de
- created package
